[FFmpeg-devel] [PATCH] tools: add bisect script
Michael Niedermayer
michaelni at gmx.at
Mon Jul 2 16:08:06 CEST 2012
This script works like "git bisect" except that you can
specify with "bisect need ffmpeg|ffplay|ffserver|ffprobe" which tool(s)
are needed for testing a checkout
Signed-off-by: Michael Niedermayer <michaelni at gmx.at>
---
tools/bisect | 36 ++++++++++++++++++++++++++++++++++++
1 file changed, 36 insertions(+)
create mode 100755 tools/bisect
diff --git a/tools/bisect b/tools/bisect
new file mode 100755
index 0000000..934646f
--- /dev/null
+++ b/tools/bisect
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ need)
+ case "$2" in
+ ffmpeg)
+ echo ffmpeg.c >> need
+ ;;
+ ffplay)
+ echo ffplay.c >> need
+ ;;
+ ffprobe)
+ echo ffprobe.c >> need
+ ;;
+ ffserver)
+ echo ffserver.c >> need
+ ;;
+ esac
+ ;;
+ start|reset)
+ echo . > need
+ git bisect $*
+ ;;
+ skip)
+ git bisect $*
+ ;;
+ good|bad)
+ git bisect $*
+
+ until ls `cat need` > /dev/null 2> /dev/null; do
+ git bisect skip || break
+ done
+ ;;
+esac
--
1.7.9.5
More information about the ffmpeg-devel
mailing list